import request from '@/utils/request'

// 查询通知消息列表
export function listNoticeMessage(query) {
  return request({
    url: '/noticeMessage/noticeMessage/list',
    method: 'get',
    params: query
  })
}

// 查询通知消息详细
export function getNoticeMessage(id) {
  return request({
    url: '/noticeMessage/noticeMessage/' + id,
    method: 'get'
  })
}

// 新增通知消息
export function addNoticeMessage(data) {
  return request({
    url: '/noticeMessage/noticeMessage',
    method: 'post',
    data: data
  })
}

// 修改通知消息
export function updateNoticeMessage(data) {
  return request({
    url: '/noticeMessage/noticeMessage',
    method: 'put',
    data: data
  })
}

// 删除通知消息
export function delNoticeMessage(id) {
  return request({
    url: '/noticeMessage/noticeMessage/' + id,
    method: 'delete'
  })
}
